package cn.com.qmth.examcloud.exchange.outer.api.bean;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * @Description 主观题考试记录实体
 * @Author lideyin
 * @Date 2020/3/30 16:06
 * @Version 1.0
 */
@ApiModel(value = "OuterExamRecordBean", description = "主观题考试记录")
public class OuterExamRecordBean implements JsonSerializable{
	private static final long serialVersionUID = 2318585091725308489L;

	@ApiModelProperty(value = "考试id", example = "1", required = true)
	private Long examId;

	@ApiModelProperty(value = "考生学号(对应网考的身份证号)", example = "111", required = true)
	private String studentCode;
	
	@ApiModelProperty(value = "考生姓名", example = "XX", required = true)
	private String name;
	
	@ApiModelProperty(value = "学院/年级", example = "XX", required = false)
	private String college;

	@ApiModelProperty(value = "班级", example = "", required = false)
	private String className;

	@ApiModelProperty(value = "教师", example = "", required = false)
	private String teacher;

	@ApiModelProperty(value = "科目代码", example = "", required = true)
	private String subjectCode;

	@ApiModelProperty(value = "科目名称", example = "", required = true)
	private String subjectName;

	@ApiModelProperty(value = "考生唯一标识（对应网考的考试记录id）", example = "", required = true)
	private String examNumber;

	@ApiModelProperty(value = "主观题作答集合", example = "[{}]", required = false)
	private List<OuterSubjectiveQuestionRecordBean> subjectives;

	public Long getExamId() {
		return examId;
	}

	public void setExamId(Long examId) {
		this.examId = examId;
	}

	public String getStudentCode() {
		return studentCode;
	}

	public void setStudentCode(String studentCode) {
		this.studentCode = studentCode;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getCollege() {
		return college;
	}

	public void setCollege(String college) {
		this.college = college;
	}

	public String getClassName() {
		return className;
	}

	public void setClassName(String className) {
		this.className = className;
	}

	public String getTeacher() {
		return teacher;
	}

	public void setTeacher(String teacher) {
		this.teacher = teacher;
	}

	public String getSubjectCode() {
		return subjectCode;
	}

	public void setSubjectCode(String subjectCode) {
		this.subjectCode = subjectCode;
	}

	public String getSubjectName() {
		return subjectName;
	}

	public void setSubjectName(String subjectName) {
		this.subjectName = subjectName;
	}

	public String getExamNumber() {
		return examNumber;
	}

	public void setExamNumber(String examNumber) {
		this.examNumber = examNumber;
	}

	public List<OuterSubjectiveQuestionRecordBean> getSubjectives() {
		return subjectives;
	}

	public void setSubjectives(List<OuterSubjectiveQuestionRecordBean> subjectives) {
		this.subjectives = subjectives;
	}
}
